Mantis Bug Tracker
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023385Community[OCCT] OCCT:Visualizationpublic2012-08-16 17:532012-11-16 13:17
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023385: Bug in AIS_TexturedShape::Compute()
DescriptionThis issue comes from OCCT forum thread:
http://www.opencascade.org/org/forum/thread_23579/ [^]

There is a regression in AIS_TextureShape::Compute() after correction of 0022971: nothing is drawn in shading display mode.
Steps To Reproducepload ALL
vinit

restore D:/work/OCC/work/ros/samples/mfc/standard/04_Viewer3d/Data/bottle.brep b
explode b F
vdisplay b_16
vtexture b_16 D:/work/OCC/work/ros/carrelage1.gif
vtexrepeat b_16 3 2
# the textured face should appear in shading here but nothing is drawn
vsetdispmode b_16 1
vfit
Additional information
and documentation updates
The mistake in AIS_TexturedShape::Compute() resulted in missing shading mode representation corrected.
TagsNo tags attached.
Test case numberchl 935 G0
Attached Files? file icon G0 (896 bytes) 2012-08-21 16:21

- Relationships
related to 0022971closedkgv Open CASCADE TKOpenGl clean up obsolete functionality 

-  Notes
(0021253)
san (developer)
2012-08-16 19:48

Branch CR23385 ready for reviewing.
(0021254)
apl (developer)
2012-08-16 20:34

Reviewed without any remarks.

Dear Bugmaster, please test the branch.
(0021304)
apn (tester)
2012-08-21 16:21

Dear BugMaster,
Branch CR23385 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
chl 935 G0

- Related Changesets
occt: master 6318e884
Timestamp: 2012-08-16 15:43:26
Author: san
Committer: bugmaster
Details ] Diff ]
0023385: Bug in AIS_TexturedShape::Compute()

Mistake in AIS_TexturedShape::Compute() occurred in the patch for issue 22971 corrected
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-16 17:53 san New Issue
2012-08-16 17:53 san Assigned To => san
2012-08-16 17:53 san Relationship added related to 0022971
2012-08-16 17:54 san Status new => assigned
2012-08-16 17:58 san Steps to Reproduce Updated View Revisions
2012-08-16 19:47 san Additional Information Updated View Revisions
2012-08-16 19:48 san Note Added: 0021253
2012-08-16 19:48 san Assigned To san => apl
2012-08-16 19:48 san Status assigned => resolved
2012-08-16 20:34 apl Note Added: 0021254
2012-08-16 20:34 apl Assigned To apl => bugmaster
2012-08-16 20:34 apl Status resolved => reviewed
2012-08-17 11:05 apn Assigned To bugmaster => apn
2012-08-21 16:21 apn Note Added: 0021304
2012-08-21 16:21 apn File Added: G0
2012-08-21 16:22 apn Test case number => chl 935 G0
2012-08-21 16:22 apn Assigned To apn => bugmaster
2012-08-21 16:22 apn Status reviewed => tested
2012-08-27 16:17 bugmaster Changeset attached => occt master 6318e884
2012-08-27 16:18 bugmaster Status tested => verified
2012-08-27 16:18 bugmaster Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker